Bug 353911

Summary: STATDARG is never passed to rpc.statd
Product: [Fedora] Fedora Reporter: Masatake YAMATO <yamato>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: F9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-27 14:51:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
A patch for fixing this problem none

Description Masatake YAMATO 2007-10-26 08:00:41 EDT
Description of problem:

STATDARG shell variable defined in /etc/sysconfig/nfs should
be passed to rpc.statd kicked from /etc/init.d/nfslock.
But STATDARG is overwritten in /etc/init.d/nfslock, so it
 is never passed as expected.

/etc/sysconfig/nfs says:
 # Optional arguments passed to rpc.statd. See rpc.statd(8)
 #STATDARG=""

/etc/init.d/nfslock says:
 if [ -n "${STATD_HOSTNAME}" ]; then
    STATDARG="-n ${STATD_HOSTNAME}"
 else
    STATDARG=""
 fi


Version-Release number of selected component (if applicable):

 nfs-utils-1.0.12-4.fc7

How reproducible:

 By reading config file and init script.

 Or injecting something value to STATDARG. See below.

Steps to Reproduce:
1. Give something string to STATDARG in /etc/sysconfig/nfs
   e.g.
   STATDARG="--help"
2. /sbin/service nfslock stop; /sbin/service nfslock start;
3. cat /proc/${rpc.statd_pid}/cmdline
   Here rpc.statd_pid stands for pid of rpc.statd.

  
Actual results:

cat just says rpc.statd.

Expected results:

cat should say rpc.statd --help.

Additional info:
Comment 1 Masatake YAMATO 2007-10-26 08:00:41 EDT
Created attachment 238981 [details]
A patch for fixing this problem
Comment 2 Bug Zapper 2008-05-14 10:52:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping